Hooks:PostHook(WeaponFactoryTweakData, "init", "GadgetFixing_init", 
function(self)

	--Assault Light, it's big enough to give some stability
	self.parts.wpn_fps_upg_fl_ass_smg_sho_surefire.stats.recoil = 1
	
	--Tactical laser Module, it is a complete downgrade of the Compact Laser Module
	self.parts.wpn_fps_upg_fl_ass_smg_sho_peqbox.stats.concealment = 0
	
	--Compact Laser Module, added for reference
	--wpn_fps_upg_fl_ass_laser

	--Military Laser Module, a complete downgrade of the LED Combo, it's small enough.
	self.parts.wpn_fps_upg_fl_ass_peq15.stats.concealment = -1
	
	--Combined Module, added for reference
	--wpn_fps_upg_fl_ass_utg
	
	--45degree red-dot sight, like all small sights, -1 concealment
	self.parts.wpn_fps_upg_o_45rds.stats.concealment = -1
	
	--Rippunkt 45 degree Sight, like all small sights, -1 concealment
	self.parts.wpn_fps_upg_o_45rds_v2.stats.concealment = -1
	
	--Riktpunkt Magnifier Gadget, like all small sights, -1 concealment
	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stats.concealment = -1
	
	--Tactical Pistol Light, added for reference.
	--wpn_fps_upg_fl_pis_tlr1
	
	--Pocket Laser, direct downgrade of the Micro laser.
	self.parts.wpn_fps_upg_fl_pis_laser.stats.concealment = 0
	
	--Micro Laser, added for reference
	--wpn_fps_upg_fl_pis_crimson
	
	--Combined Module, added for reference
	--wpn_fps_upg_fl_pis_x400v
	
	--M308 Scope Mount, all other scope mounts give stability, no reason for this to give accuracy.
	self.parts.wpn_fps_upg_o_m14_scopemount.stats.spread = 0
	self.parts.wpn_fps_upg_o_m14_scopemount.stats.recoil = 1

end)